'use strict';

const bbReq = require('./bitbucket-request');

async function isPullRequestConflicted({
  token,
  pr
}) {
  if (pr.state === 'DECLINED') {
    return false;
  }

  let response = await bbReq({
    url: `${pr.links.self[0].href}/merge`,
    token
  });

  return response.conflicted;
}

module.exports.isPrConflicted = isPullRequestConflicted;
