'use strict';

function buildBitbucketUrl({
  endpoint,
  project,
  repo,
  type,
  id
}) {
  let url = `${endpoint}/rest/api/1.0/projects/${project}/repos/${repo}`;
  switch (type) {
    case 'PULL_REQUEST':
      url += '/pull-requests';
      break;
  }
  if (id) {
    url += `/${id}`;
  }
  return url;
}

module.exports = buildBitbucketUrl;
