'use strict';

function getVersionRange(versionHint, oldRange, newVersion) {
  if (versionHint === undefined) {
    let hint = oldRange.substr(0, 1);
    if (hint === '^' || hint === '~') {
      versionHint = hint;
    } else {
      versionHint = '';
    }
  }

  return versionHint + newVersion;
}

module.exports = getVersionRange;
